
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 作业方案讨论记录表附件
    /// </summary>
    [Description("作业方案讨论记录附件")]
    public class T_FO_PRE_OPER_SCH_FILE : MesEntityBase
    {
        [DataFieldForeignKey("Nav_PreOperSch", "Nav_PreOperSchFile")]   //定义导航属性外键
        [Description("作业方案讨论记录ID")]
        public Guid PRE_OPER_SCH_ID { get; set; }

        [Description("导航：作业方案讨论记录表")]
        public virtual T_FO_PRE_OPER_SCH Nav_PreOperSch { get; set; }   //Nav_PreOperSch为当前表导航属性，导航回主表


        [DataFieldForeignKey("Nav_ImgFile")]
        [Description("图片文件ID")]
        public Guid IMG_FILE_ID { get; set; }



        [Description("导航：图片文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
